Skip to main content
`Ctrl`+`K`

# PCGAMGSetParallelCoarseGridSolve

allow a parallel coarse grid solver

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetParallelCoarseGridSolve(PC pc, PetscBool flg)

Collective

## Input Parameters

- pc - the preconditioner context

- flg - `PETSC_TRUE` to not force coarse grid onto one processor

## Options Database Key

- -pc_gamg_parallel_coarse_grid_solver - use a parallel coarse grid solver

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetCoarseGridLayoutType()`, `PCGAMGSetCpuPinCoarseGrids()`, `PCGAMGSetRankReductionFactors()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetParallelCoarseGridSolve_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages